Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156929 - eject fails on an LS-120 drive
Summary: eject fails on an LS-120 drive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eject
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 13:59 UTC by David Balažic
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-24 11:44:42 UTC


Attachments (Terms of Use)

Description David Balažic 2005-05-05 13:59:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Ejecting a floppy from the ls-120 unit (IDE floppy) fails.

/dev/hdd is LS-120 CSMO 05 UHD Floppy, ATAPI FLOPPY drive


Version-Release number of selected component (if applicable):
eject-2.0.13-14

How reproducible:
Always

Steps to Reproduce:
1. insert a floppy (1440kb plain HD) into the ls-120 unit (/dev/hdd)
2. root# eject /dev/hdd


Actual Results:  ide-floppy: hdd: I/O error, pc = 1b, key =  5, asc = 24, ascq =  0
eject: unable to eject, last error: Invalid argument

floppy is not ejected

Expected Results:  no errors, floppy is ejected

Additional info:

Comment 1 Ngo Than 2005-08-24 11:44:42 UTC
It should be fixed in 2.1.1, which will be available for FC3 update this week.  
Please reopen it again if it still appears. Sorry i don't have hardware to  
verify this bug.  Thanks for you report. 


Note You need to log in before you can comment on or make changes to this bug.